More fixes

Signed-off-by: Tad <tad@spotco.us>
This commit is contained in:
Tad 2021-10-16 16:28:41 -04:00
parent 256b1db98b
commit 042b9063d1
30 changed files with 84 additions and 81 deletions

View File

@ -1,4 +1,4 @@
From 03e04247e9416a901fbb30b742d985ac6c801598 Mon Sep 17 00:00:00 2001
From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Tad <tad@spotco.us>
Date: Thu, 20 Sep 2018 16:43:46 -0400
Subject: [PATCH] Switch to our update server
@ -9,7 +9,7 @@ Change-Id: I26dc2942736cf0cfe4e7b92ddfdd04b9d74dbae5
1 file changed, 2 insertions(+), 8 deletions(-)
diff --git a/src/org/lineageos/updater/misc/Utils.java b/src/org/lineageos/updater/misc/Utils.java
index 171c2cc..d97a492 100644
index bba1c88..a31492e 100644
--- a/src/org/lineageos/updater/misc/Utils.java
+++ b/src/org/lineageos/updater/misc/Utils.java
@@ -149,16 +149,10 @@ public class Utils {
@ -32,5 +32,5 @@ index 171c2cc..d97a492 100644
public static String getChangelogURL(Context context) {
--
2.19.0
2.31.1

View File

@ -1,4 +1,4 @@
From 03e04247e9416a901fbb30b742d985ac6c801598 Mon Sep 17 00:00:00 2001
From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Tad <tad@spotco.us>
Date: Thu, 20 Sep 2018 16:43:46 -0400
Subject: [PATCH] Switch to our update server
@ -9,10 +9,10 @@ Change-Id: I26dc2942736cf0cfe4e7b92ddfdd04b9d74dbae5
1 file changed, 2 insertions(+), 8 deletions(-)
diff --git a/src/org/lineageos/updater/misc/Utils.java b/src/org/lineageos/updater/misc/Utils.java
index 171c2cc..d97a492 100644
index e8a0c5e..e9c2f17 100644
--- a/src/org/lineageos/updater/misc/Utils.java
+++ b/src/org/lineageos/updater/misc/Utils.java
@@ -149,16 +149,10 @@ public class Utils {
@@ -150,16 +150,10 @@ public class Utils {
String incrementalVersion = SystemProperties.get(Constants.PROP_BUILD_VERSION_INCREMENTAL);
String device = SystemProperties.get(Constants.PROP_NEXT_DEVICE,
SystemProperties.get(Constants.PROP_DEVICE));
@ -30,7 +30,7 @@ index 171c2cc..d97a492 100644
+ return server + "?base=LineageOS&device=" + device + "&inc=" + incrementalVersion;
}
public static String getChangelogURL(Context context) {
public static String getUpgradeBlockedURL(Context context) {
--
2.19.0
2.31.1

View File

@ -1,4 +1,4 @@
From 1ddf24a6dafc98fba1dade12b3701a83a74e33bc Mon Sep 17 00:00:00 2001
From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Daniel Micay <danielmicay@gmail.com>
Date: Sun, 17 Mar 2019 19:54:30 -0400
Subject: [PATCH] stop auto-granting location to system browsers
@ -8,10 +8,10 @@ Subject: [PATCH] stop auto-granting location to system browsers
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/services/core/java/com/android/server/pm/permission/DefaultPermissionGrantPolicy.java b/services/core/java/com/android/server/pm/permission/DefaultPermissionGrantPolicy.java
index 1ae59cbea45..0b8231b1669 100644
index 1ae59cbea452..0b8231b16693 100644
--- a/services/core/java/com/android/server/pm/permission/DefaultPermissionGrantPolicy.java
+++ b/services/core/java/com/android/server/pm/permission/DefaultPermissionGrantPolicy.java
@@ -643,7 +643,7 @@ private void grantDefaultSystemHandlerPermissions(int userId) {
@@ -643,7 +643,7 @@ public final class DefaultPermissionGrantPolicy {
}
if (browserPackage != null
&& doesPackageSupportRuntimePermissions(browserPackage)) {
@ -20,7 +20,7 @@ index 1ae59cbea45..0b8231b1669 100644
}
// Voice interaction
@@ -1053,7 +1053,7 @@ public void grantDefaultPermissionsToDefaultBrowser(String packageName, int user
@@ -1053,7 +1053,7 @@ public final class DefaultPermissionGrantPolicy {
PackageParser.Package browserPackage = getSystemPackage(packageName);
if (browserPackage != null
&& doesPackageSupportRuntimePermissions(browserPackage)) {
@ -29,3 +29,6 @@ index 1ae59cbea45..0b8231b1669 100644
}
}
--
2.31.1

View File

@ -1,4 +1,4 @@
From a507f07f4b04c421400ef8382212aa38cfe37b0d Mon Sep 17 00:00:00 2001
From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Daniel Micay <danielmicay@gmail.com>
Date: Tue, 18 Dec 2018 08:48:14 -0500
Subject: [PATCH] allow SystemUI to directly manage Bluetooth/WiFi
@ -8,7 +8,7 @@ Subject: [PATCH] allow SystemUI to directly manage Bluetooth/WiFi
1 file changed, 3 insertions(+)
diff --git a/packages/SystemUI/AndroidManifest.xml b/packages/SystemUI/AndroidManifest.xml
index 5599b5a2837..08a8d9f504b 100644
index 44eff665db9d..c924effe6933 100644
--- a/packages/SystemUI/AndroidManifest.xml
+++ b/packages/SystemUI/AndroidManifest.xml
@@ -70,6 +70,9 @@
@ -21,3 +21,6 @@ index 5599b5a2837..08a8d9f504b 100644
<!-- Physical hardware -->
<uses-permission android:name="android.permission.MANAGE_USB" />
<uses-permission android:name="android.permission.CONTROL_DISPLAY_BRIGHTNESS" />
--
2.31.1

View File

@ -1,4 +1,4 @@
From d0663b7dc73564744e89d5dd93675ff8929cc532 Mon Sep 17 00:00:00 2001
From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: MSe1969 <mse1969@posteo.de>
Date: Fri, 15 Mar 2019 22:05:36 +0100
Subject: [PATCH] AppOps/PrivacyGuard: New Sensor checks [base]
@ -22,10 +22,10 @@ Change-Id: Id12b91720f1e02ea5ca606ecefb30121d19b92bb
6 files changed, 61 insertions(+), 3 deletions(-)
diff --git a/core/java/android/app/AppOpsManager.java b/core/java/android/app/AppOpsManager.java
index a112cafb3b5e..c7338214a265 100644
index 5b763e50c38f..bd9f9224f325 100644
--- a/core/java/android/app/AppOpsManager.java
+++ b/core/java/android/app/AppOpsManager.java
@@ -371,8 +371,12 @@
@@ -371,8 +371,12 @@ public class AppOpsManager {
public static final int OP_DATA_CONNECT_CHANGE = 81;
/** @hide SU access */
public static final int OP_SU = 82;
@ -39,7 +39,7 @@ index a112cafb3b5e..c7338214a265 100644
/** Access to coarse location information. */
public static final String OPSTR_COARSE_LOCATION = "android:coarse_location";
@@ -628,6 +632,11 @@
@@ -628,6 +632,11 @@ public class AppOpsManager {
/** @hide */
public static final String OPSTR_SU = "android:su";
@ -51,7 +51,7 @@ index a112cafb3b5e..c7338214a265 100644
// Warning: If an permission is added here it also has to be added to
// com.android.packageinstaller.permission.utils.EventLogger
private static final int[] RUNTIME_AND_APPOP_PERMISSIONS_OPS = {
@@ -676,7 +685,9 @@
@@ -676,7 +685,9 @@ public class AppOpsManager {
OP_WRITE_SETTINGS,
OP_REQUEST_INSTALL_PACKAGES,
OP_START_FOREGROUND,
@ -62,7 +62,7 @@ index a112cafb3b5e..c7338214a265 100644
};
/**
@@ -771,6 +782,8 @@
@@ -771,6 +782,8 @@ public class AppOpsManager {
OP_NFC_CHANGE, // NFC_CHANGE
OP_DATA_CONNECT_CHANGE, // DATA_CONNECT_CHANGE
OP_SU, // SU
@ -71,7 +71,7 @@ index a112cafb3b5e..c7338214a265 100644
};
/**
@@ -860,6 +873,8 @@
@@ -860,6 +873,8 @@ public class AppOpsManager {
OPSTR_NFC_CHANGE,
OPSTR_DATA_CONNECT_CHANGE,
OPSTR_SU,
@ -80,7 +80,7 @@ index a112cafb3b5e..c7338214a265 100644
};
/**
@@ -950,6 +965,8 @@
@@ -950,6 +965,8 @@ public class AppOpsManager {
"NFC_CHANGE",
"DATA_CONNECT_CHANGE",
"SU",
@ -89,7 +89,7 @@ index a112cafb3b5e..c7338214a265 100644
};
/**
@@ -1040,6 +1057,8 @@
@@ -1040,6 +1057,8 @@ public class AppOpsManager {
Manifest.permission.NFC,
null,
null, // no permission for OP_SU
@ -98,7 +98,7 @@ index a112cafb3b5e..c7338214a265 100644
};
/**
@@ -1131,6 +1150,8 @@
@@ -1131,6 +1150,8 @@ public class AppOpsManager {
null, // NFC_CHANGE
null, // DATA_CONNECT_CHANGE
UserManager.DISALLOW_SU, // SU TODO: this should really be investigated.
@ -107,7 +107,7 @@ index a112cafb3b5e..c7338214a265 100644
};
/**
@@ -1221,6 +1242,8 @@
@@ -1221,6 +1242,8 @@ public class AppOpsManager {
true, // NFC_CHANGE
true, // DATA_CONNECT_CHANGE
false, // SU
@ -116,7 +116,7 @@ index a112cafb3b5e..c7338214a265 100644
};
/**
@@ -1310,6 +1333,8 @@
@@ -1310,6 +1333,8 @@ public class AppOpsManager {
AppOpsManager.MODE_ALLOWED, // OP_NFC_CHANGE
AppOpsManager.MODE_ALLOWED, // OP_DATA_CONNECT_CHANGE
AppOpsManager.MODE_ASK, // OP_SU
@ -125,7 +125,7 @@ index a112cafb3b5e..c7338214a265 100644
};
/**
@@ -1400,6 +1425,8 @@
@@ -1400,6 +1425,8 @@ public class AppOpsManager {
AppOpsManager.MODE_ASK, // OP_NFC_CHANGE
AppOpsManager.MODE_ASK, // OP_DATA_CONNECT_CHANGE
AppOpsManager.MODE_ASK, // OP_SU
@ -134,7 +134,7 @@ index a112cafb3b5e..c7338214a265 100644
};
/**
@@ -1489,6 +1516,8 @@
@@ -1489,6 +1516,8 @@ public class AppOpsManager {
true, // NFC_CHANGE
true, // DATA_CONNECT_CHANGE
true, // SU
@ -143,7 +143,7 @@ index a112cafb3b5e..c7338214a265 100644
};
/**
@@ -1582,6 +1611,8 @@
@@ -1582,6 +1611,8 @@ public class AppOpsManager {
false, // OP_NFC_CHANGE
false, // OP_DATA_CONNECT_CHANGE
false, // OP_SU
@ -153,10 +153,10 @@ index a112cafb3b5e..c7338214a265 100644
/**
diff --git a/core/res/res/values-de/cm_strings.xml b/core/res/res/values-de/cm_strings.xml
index a8fd5700e374..837dccd09425 100644
index 8248b4d50731..e0f1b79882f7 100644
--- a/core/res/res/values-de/cm_strings.xml
+++ b/core/res/res/values-de/cm_strings.xml
@@ -52,7 +52,9 @@
@@ -51,7 +51,9 @@
<string name="app_ops_modify_clipboard">die Zwischenablage zu ändern</string>
<string name="app_ops_modify_contacts">Kontakte zu ändern</string>
<string name="app_ops_modify_settings">Einstellungen zu ändern</string>
@ -167,10 +167,10 @@ index a8fd5700e374..837dccd09425 100644
<string name="app_ops_picture_in_picture">Bild im Bild zu verwenden</string>
<string name="app_ops_play_audio">Audio wiederzugeben</string>
diff --git a/core/res/res/values-fr/cm_strings.xml b/core/res/res/values-fr/cm_strings.xml
index fb1835759a7f..fc294608074f 100644
index 38cfd54ec910..027f79c607c2 100644
--- a/core/res/res/values-fr/cm_strings.xml
+++ b/core/res/res/values-fr/cm_strings.xml
@@ -48,7 +48,9 @@
@@ -51,7 +51,9 @@
<string name="app_ops_modify_clipboard">modifier le presse-papiers</string>
<string name="app_ops_modify_contacts">mettre à jour vos contacts</string>
<string name="app_ops_modify_settings">mettre à jour les paramètres du système</string>
@ -210,10 +210,10 @@ index 58567d1c8bd1..11a7d99b8d48 100644
</resources>
diff --git a/services/core/java/com/android/server/AppOpsService.java b/services/core/java/com/android/server/AppOpsService.java
index cdee2ba49c10..9c7f0700236e 100644
index 95ba50246db0..a6cf19f9be8a 100644
--- a/services/core/java/com/android/server/AppOpsService.java
+++ b/services/core/java/com/android/server/AppOpsService.java
@@ -1775,6 +1775,15 @@ private int noteOperationUnchecked(int code, int uid, String packageName,
@@ -1822,6 +1822,15 @@ public class AppOpsService extends IAppOpsService.Stub {
op.rejectTime[uidState.state] = System.currentTimeMillis();
op.ignoredCount++;
return mode;
@ -229,7 +229,7 @@ index cdee2ba49c10..9c7f0700236e 100644
} else if (mode == AppOpsManager.MODE_ASK) {
if (Looper.myLooper() == mLooper || Thread.holdsLock(mActivityManagerService)) {
Slog.e(TAG, "noteOperation: this method will deadlock if called" +
@@ -1953,7 +1962,15 @@ public int startOperation(IBinder token, int code, int uid, String packageName,
@@ -2000,7 +2009,15 @@ public class AppOpsService extends IAppOpsService.Stub {
op.rejectTime[uidState.state] = System.currentTimeMillis();
op.ignoredCount++;
return mode;
@ -246,3 +246,6 @@ index cdee2ba49c10..9c7f0700236e 100644
if (DEBUG) Slog.d(TAG, "startOperation: allowing code " + code + " uid " + uid
+ " package " + resolvedPackageName);
if (op.startNesting == 0) {
--
2.31.1

View File

@ -1,4 +1,4 @@
From 03e04247e9416a901fbb30b742d985ac6c801598 Mon Sep 17 00:00:00 2001
From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Tad <tad@spotco.us>
Date: Thu, 20 Sep 2018 16:43:46 -0400
Subject: [PATCH] Switch to our update server
@ -9,10 +9,10 @@ Change-Id: I26dc2942736cf0cfe4e7b92ddfdd04b9d74dbae5
1 file changed, 2 insertions(+), 8 deletions(-)
diff --git a/src/org/lineageos/updater/misc/Utils.java b/src/org/lineageos/updater/misc/Utils.java
index 171c2cc..d97a492 100644
index eed4d56..f7f62e4 100644
--- a/src/org/lineageos/updater/misc/Utils.java
+++ b/src/org/lineageos/updater/misc/Utils.java
@@ -149,16 +149,10 @@ public class Utils {
@@ -154,16 +154,10 @@ public class Utils {
String incrementalVersion = SystemProperties.get(Constants.PROP_BUILD_VERSION_INCREMENTAL);
String device = SystemProperties.get(Constants.PROP_NEXT_DEVICE,
SystemProperties.get(Constants.PROP_DEVICE));
@ -30,7 +30,7 @@ index 171c2cc..d97a492 100644
+ return server + "?base=LineageOS&device=" + device + "&inc=" + incrementalVersion;
}
public static String getChangelogURL(Context context) {
public static String getUpgradeBlockedURL(Context context) {
--
2.19.0
2.31.1

View File

@ -57,8 +57,7 @@ applyPatchReal() {
currentWorkingPatch=$1;
firstLine=$(head -n1 "$currentWorkingPatch");
if [[ "$firstLine" = *"Mon Sep 17 00:00:00 2001"* ]] || [[ "$firstLine" = *"Thu Jan 1 00:00:00 1970"* ]]; then
git am "$@";
if [ "$?" -eq 0 ]; then
if git am "$@"; then
if [ "$DOS_REFRESH_PATCHES" = true ]; then
if [[ "$currentWorkingPatch" == $DOS_PATCHES* ]]; then
git format-patch -1 HEAD --zero-commit --output="$currentWorkingPatch";
@ -75,16 +74,13 @@ export -f applyPatchReal;
applyPatch() {
currentWorkingPatch=$1;
if [ -f "$currentWorkingPatch" ]; then
git apply --check "$@" &> /dev/null;
if [ "$?" -eq 0 ]; then
if git apply --check "$@" &> /dev/null; then
applyPatchReal "$@";
else
git apply --reverse --check "$@" &> /dev/null;
if [ "$?" -eq 0 ]; then
if git apply --reverse --check "$@" &> /dev/null; then
echo "Already applied: $currentWorkingPatch";
else
git apply --check "$@" --3way &> /dev/null;
if [ "$?" -eq 0 ]; then
if git apply --check "$@" --3way &> /dev/null; then
applyPatchReal "$@" --3way;
echo "Applied (as 3way): $currentWorkingPatch";
else
@ -101,8 +97,7 @@ export -f applyPatch;
gpgVerifyDirectory() {
if [ -r "$HOME/.gnupg" ]; then
for sig in $1/*.asc; do
gpg --verify $sig &>/dev/null;
if [ "$?" -eq "0" ]; then
if gpg --verify $sig &>/dev/null; then
echo -e "\e[0;32mGPG Verified Successfully: $sig\e[0m";
else
echo -e "\e[0;31mWARNING: GPG Verification Failed: $sig\e[0m";
@ -300,8 +295,7 @@ processRelease() {
if [ "$DOS_GPG_SIGNING" = true ]; then
for checksum in $OUT_DIR/*.sha512sum; do
echo -e "\e[0;32mGPG signing $checksum\e[0m";
gpg --homedir "$DOS_SIGNING_GPG" --sign --local-user "$DOS_GPG_SIGNING_KEY" --clearsign "$checksum";
if [ "$?" -eq "0" ]; then
if gpg --homedir "$DOS_SIGNING_GPG" --sign --local-user "$DOS_GPG_SIGNING_KEY" --clearsign "$checksum"; then
mv -f "$checksum.asc" "$checksum";
fi;
done;

View File

@ -17,7 +17,7 @@
set -euo pipefail;
#Attempts to increase performance and battery life
#Last verified: 2018-04-27
#Last verified: 2021-10-16
echo "Optimizing...";

View File

@ -17,7 +17,7 @@
set -euo pipefail;
#Changes various default settings
#Last verified: 2018-04-27
#Last verified: 2021-10-16
#Useful commands
#nano $(find . -name "config.xml" | grep "values/" | grep -v "device" | grep -v "tests")

View File

@ -15,7 +15,7 @@
#You should have received a copy of the GNU General Public License
#along with this program. If not, see <https://www.gnu.org/licenses/>.
#Last verified: 2018-04-27
#Last verified: 2021-10-16
patchAllKernels() {
startPatcher "kernel_amazon_hdx-common kernel_asus_grouper kernel_htc_msm8960 kernel_htc_msm8994 kernel_lge_msm8992 kernel_motorola_msm8992 kernel_samsung_exynos5420 kernel_samsung_manta kernel_samsung_smdk4412 kernel_samsung_tuna kernel_samsung_universal8890";

View File

@ -16,7 +16,7 @@
#along with this program. If not, see <https://www.gnu.org/licenses/>.
set -euo pipefail;
#Last verified: 2018-04-27
#Last verified: 2021-10-16
#Initialize aliases
#source ../../Scripts/init.sh
@ -428,6 +428,7 @@ awk -i inplace '!/TARGET_RECOVERY_UPDATER_LIBS/' device/samsung/toro*/BoardConfi
awk -i inplace '!/TARGET_RELEASETOOLS_EXTENSIONS/' device/samsung/toro*/BoardConfig.mk;
sed -i 's/^YYLTYPE yylloc;/extern YYLTYPE yylloc;/' kernel/*/*/scripts/dtc/dtc-lexer.l*; #Fix builds with GCC 10
rm -v kernel/*/*/drivers/staging/greybus/tools/Android.mk || true;
#
#END OF DEVICE CHANGES
#

View File

@ -17,7 +17,7 @@
set -euo pipefail;
#Updates select user facing strings
#Last verified: 2018-04-27
#Last verified: 2021-10-16
echo "Rebranding...";

View File

@ -17,7 +17,7 @@
set -euo pipefail;
#Replaces teal accents with orange/yellow ones
#Last verified: 2018-04-27
#Last verified: 2021-10-16
echo "Applying theme...";

View File

@ -17,7 +17,7 @@
set -euo pipefail;
#Changes various default settings
#Last verified: 2018-04-27
#Last verified: 2021-10-16
#Useful commands
#nano $(find . -name "config.xml" | grep "values/" | grep -v "device" | grep -v "tests")

View File

@ -15,7 +15,7 @@
#You should have received a copy of the GNU General Public License
#along with this program. If not, see <https://www.gnu.org/licenses/>.
#Last verified: 2018-04-27
#Last verified: 2021-10-16
patchAllKernels() {
startPatcher "kernel_asus_fugu kernel_asus_msm8916 kernel_google_dragon kernel_google_msm kernel_htc_flounder kernel_htc_msm8994 kernel_huawei_angler kernel_lge_bullhead kernel_lge_hammerhead kernel_lge_msm8996 kernel_moto_shamu kernel_nextbit_msm8992 kernel_oneplus_msm8994 kernel_zte_msm8996";

View File

@ -16,7 +16,7 @@
#along with this program. If not, see <https://www.gnu.org/licenses/>.
set -euo pipefail;
#Last verified: 2018-04-27
#Last verified: 2021-10-16
#Initialize aliases
#source ../../Scripts/init.sh
@ -318,7 +318,7 @@ sed -i "s/CONFIG_STRICT_MEMORY_RWX=y/# CONFIG_STRICT_MEMORY_RWX is not set/" ker
sed -i "s/CONFIG_STRICT_MEMORY_RWX=y/# CONFIG_STRICT_MEMORY_RWX is not set/" kernel/zte/msm8996/arch/arm64/configs/lineageos_*_defconfig; #Breaks on compile
sed -i 's/^YYLTYPE yylloc;/extern YYLTYPE yylloc;/' kernel/*/*/scripts/dtc/dtc-lexer.l*; #Fix builds with GCC 10
rm -v kernel/*/*/drivers/staging/greybus/tools/Android.mk;
rm -v kernel/*/*/drivers/staging/greybus/tools/Android.mk || true;
#
#END OF DEVICE CHANGES
#

View File

@ -17,7 +17,7 @@
set -euo pipefail;
#Updates select user facing strings
#Last verified: 2018-04-27
#Last verified: 2021-10-16
echo "Rebranding...";

View File

@ -17,7 +17,7 @@
set -euo pipefail;
#Changes various default settings
#Last verified: 2019-03-04
#Last verified: 2021-10-16
#Useful commands
#nano $(find . -name "config.xml" | grep "values/" | grep -v "device" | grep -v "tests")

View File

@ -15,7 +15,7 @@
#You should have received a copy of the GNU General Public License
#along with this program. If not, see <https://www.gnu.org/licenses/>.
#Last verified: 2018-04-27
#Last verified: 2021-10-16
patchAllKernels() {
startPatcher "kernel_asus_fugu kernel_asus_msm8953 kernel_cyanogen_msm8916 kernel_cyanogen_msm8974 kernel_google_yellowstone kernel_lge_hammerhead";

View File

@ -16,7 +16,7 @@
#along with this program. If not, see <https://www.gnu.org/licenses/>.
set -euo pipefail;
#Last verified: 2019-03-04
#Last verified: 2021-10-16
#Initialize aliases
#source ../../Scripts/init.sh
@ -316,7 +316,7 @@ sed -i "s/CONFIG_STRICT_MEMORY_RWX=y/# CONFIG_STRICT_MEMORY_RWX is not set/" ker
sed -i "s/CONFIG_DEBUG_RODATA=y/# CONFIG_DEBUG_RODATA is not set/" kernel/google/yellowstone/arch/arm*/configs/*_defconfig; #Breaks on compile
sed -i 's/^YYLTYPE yylloc;/extern YYLTYPE yylloc;/' kernel/*/*/scripts/dtc/dtc-lexer.l*; #Fix builds with GCC 10
rm -v kernel/*/*/drivers/staging/greybus/tools/Android.mk;
rm -v kernel/*/*/drivers/staging/greybus/tools/Android.mk || true;
#
#END OF DEVICE CHANGES
#

View File

@ -17,7 +17,7 @@
set -euo pipefail;
#Updates select user facing strings
#Last verified: 2019-03-04
#Last verified: 2021-10-16
echo "Rebranding...";

View File

@ -17,7 +17,7 @@
set -euo pipefail;
#Changes various default settings
#Last verified: 2020-04-14
#Last verified: 2021-10-16
#Useful commands
#nano $(find . -name "config.xml" | grep "values/" | grep -v "device" | grep -v "tests")

View File

@ -15,7 +15,7 @@
#You should have received a copy of the GNU General Public License
#along with this program. If not, see <https://www.gnu.org/licenses/>.
#Last verified: 2020-04-14
#Last verified: 2021-10-16
patchAllKernels() {
startPatcher "kernel_asus_fugu kernel_cyanogen_msm8916 kernel_google_marlin kernel_google_msm-4.9 kernel_google_yellowstone kernel_htc_msm8974 kernel_motorola_msm8916 kernel_motorola_msm8992 kernel_motorola_msm8996 kernel_oneplus_msm8994 kernel_oneplus_sm7250 kernel_oneplus_sm8150 kernel_xiaomi_sm6150 kernel_yandex_sdm660 kernel_zuk_msm8996";

View File

@ -16,7 +16,7 @@
#along with this program. If not, see <https://www.gnu.org/licenses/>.
set -euo pipefail;
#Last verified: 2020-04-14
#Last verified: 2021-10-16
#Initialize aliases
#source ../../Scripts/init.sh
@ -379,7 +379,7 @@ sed -i "s/CONFIG_DEBUG_RODATA=y/# CONFIG_DEBUG_RODATA is not set/" kernel/google
sed -i "s/CONFIG_STRICT_MEMORY_RWX=y/# CONFIG_STRICT_MEMORY_RWX is not set/" kernel/motorola/msm8996/arch/arm64/configs/*_defconfig; #Breaks on compile
sed -i 's/^YYLTYPE yylloc;/extern YYLTYPE yylloc;/' kernel/*/*/scripts/dtc/dtc-lexer.l*; #Fix builds with GCC 10
rm -v kernel/*/*/drivers/staging/greybus/tools/Android.mk;
rm -v kernel/*/*/drivers/staging/greybus/tools/Android.mk || true;
#
#END OF DEVICE CHANGES
#

View File

@ -17,7 +17,7 @@
set -euo pipefail;
#Updates select user facing strings
#Last verified: 2020-04-14
#Last verified: 2021-10-16
echo "Rebranding...";

View File

@ -17,7 +17,7 @@
set -euo pipefail;
#Changes various default settings
#Last verified: 2021-03-22
#Last verified: 2021-10-16
#Useful commands
#nano $(find . -name "config.xml" | grep "values/" | grep -v "device" | grep -v "tests")

View File

@ -15,7 +15,7 @@
#You should have received a copy of the GNU General Public License
#along with this program. If not, see <https://www.gnu.org/licenses/>.
#Last verified: 2021-03-22
#Last verified: 2021-10-16
patchAllKernels() {
startPatcher "kernel_essential_msm8998 kernel_fairphone_msm8974 kernel_fairphone_sdm632 kernel_fxtec_msm8998 kernel_google_coral kernel_google_msm kernel_google_msm-4.9 kernel_google_redbull kernel_google_sunfish kernel_google_wahoo kernel_htc_msm8974 kernel_lge_g3 kernel_lge_mako kernel_lge_msm8974 kernel_lge_msm8996 kernel_moto_shamu kernel_motorola_msm8974 kernel_nextbit_msm8992 kernel_oneplus_msm8996 kernel_oneplus_msm8998 kernel_oneplus_sdm845 kernel_oneplus_sm8150 kernel_oppo_msm8974 kernel_razer_msm8998 kernel_razer_sdm845 kernel_samsung_jf kernel_samsung_msm8930-common kernel_samsung_msm8974 kernel_xiaomi_sdm845 kernel_xiaomi_sm8150 kernel_xiaomi_sm8250";

View File

@ -16,7 +16,7 @@
#along with this program. If not, see <https://www.gnu.org/licenses/>.
set -euo pipefail;
#Last verified: 2021-03-22
#Last verified: 2021-10-16
#Initialize aliases
#source ../../Scripts/init.sh
@ -463,7 +463,7 @@ sed -i "s/CONFIG_DEBUG_RODATA=y/# CONFIG_DEBUG_RODATA is not set/" kernel/motoro
sed -i "s/CONFIG_STRICT_MEMORY_RWX=y/# CONFIG_STRICT_MEMORY_RWX is not set/" kernel/oneplus/msm8996/arch/arm64/configs/lineageos_*_defconfig; #Breaks on compile
sed -i 's/^YYLTYPE yylloc;/extern YYLTYPE yylloc;/' kernel/*/*/scripts/dtc/dtc-lexer.l*; #Fix builds with GCC 10
rm -v kernel/*/*/drivers/staging/greybus/tools/Android.mk;
rm -v kernel/*/*/drivers/staging/greybus/tools/Android.mk || true;
#
#END OF DEVICE CHANGES
#

View File

@ -17,7 +17,7 @@
set -euo pipefail;
#Updates select user facing strings
#Last verified: 2021-03-22
#Last verified: 2021-10-16
echo "Rebranding...";

View File

@ -107,8 +107,7 @@ umask 0022;
gpgVerifyGitHead() {
if [ -r "$HOME/.gnupg" ]; then
git -C $1 verify-commit HEAD;
if [ "$?" -eq "0" ]; then
if git -C $1 verify-commit HEAD; then
echo -e "\e[0;32mGPG Verified Git HEAD Successfully: $1\e[0m";
else
echo -e "\e[0;31mWARNING: GPG Verification of Git HEAD Failed: $1\e[0m";